Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record.chart
Class ChartFormatRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.chart.ChartFormatRecord

    public final class ChartFormatRecord

extends StandardRecord

Class ChartFormatRecord (0x1014)

(As with all chart related records, documentation is lacking. See `ChartRecord` for more details)

Author:
  Glen Stampoultzis (glens at apache.org)

Field Summary
`static short` | `sid`

Constructor Summary
`ChartFormatRecord()`
`ChartFormatRecord(RecordInputStream in)`

Method Summary
`protected int` | `getDataSize()`
`int` | `getHeight()`
`short` | `getSid()` return the non static version of the id for this record.
`boolean` | `getVaryDisplayPattern()`
`int` | `getWidth()`
`int` | `getXPosition()`
`int` | `getYPosition()`
`void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`void` | `setHeight(int height)`
`void` | `setVaryDisplayPattern(boolean value)`
`void` | `setWidth(int width)`
`void` | `setXPosition(int xPosition)`
`void` | `setYPosition(int yPosition)`
`java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`clone, cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### ChartFormatRecord

    public ChartFormatRecord()

### ChartFormatRecord

    public ChartFormatRecord(RecordInputStream in)

Method Detail

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The subclass must write the exact number of bytes as reported by `RecordBase.getRecordSize()`}

  Specified by:
    `serialize` in class `StandardRecord`

### getDataSize

    protected int getDataSize()

  Specified by:
    `getDataSize` in class `StandardRecord`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### getXPosition

    public int getXPosition()

### setXPosition

    public void setXPosition(int xPosition)

### getYPosition

    public int getYPosition()

### setYPosition

    public void setYPosition(int yPosition)

### getWidth

    public int getWidth()

### setWidth

    public void setWidth(int width)

### getHeight

    public int getHeight()

### setHeight

    public void setHeight(int height)

### getVaryDisplayPattern

    public boolean getVaryDisplayPattern()

### setVaryDisplayPattern

    public void setVaryDisplayPattern(boolean value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.